# Set business username

Sets a business username.

```http
POST https://api.pozy.ai/v1/whatsapp/business-profile/username
```

- Area: WhatsApp / WhatsApp
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `username`, string, required: 3 to 35 characters
- `transferAction`, string: One of `none`, `force_transfer`. Default `none`

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/whatsapp/business-profile/username" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "username": "acme"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/business-profile/username", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    username: "acme"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/whatsapp/business-profile/username",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "username": "acme",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `username`, string
- `status`, string: One of `approved`, `reserved`, `none`

```json
{
  "success": true,
  "username": "acme",
  "status": "approved"
}
```
